aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKai Knoblich <kai@FreeBSD.org>2022-02-14 06:38:08 +0000
committerKai Knoblich <kai@FreeBSD.org>2022-02-14 06:39:56 +0000
commitc45d55461ce5ca18fdf124d67d609dc7aaf9bfc1 (patch)
tree778893a91878be8562589ad93460e4acb4fd0704
parent0f1e29a780e3edf13a29f2c32adfdfddc7e35620 (diff)
downloadports-c45d55461ce5ca18fdf124d67d609dc7aaf9bfc1.tar.gz
ports-c45d55461ce5ca18fdf124d67d609dc7aaf9bfc1.zip
www/py-django-compat: Deprecate and set to expire
The project seems to be no longer maintained and its code isn't compatible with newer versions of Django. PR: 261313
-rw-r--r--www/py-django-compat/Makefile3
1 files changed, 3 insertions, 0 deletions
diff --git a/www/py-django-compat/Makefile b/www/py-django-compat/Makefile
index 5fbf126f0d75..d9c41fe4129c 100644
--- a/www/py-django-compat/Makefile
+++ b/www/py-django-compat/Makefile
@@ -10,6 +10,9 @@ COMMENT= For- and backwards compatibility layer for different Django versions
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
+DEPRECATED= No longer maintained, doesn't work with newer versions of Django
+EXPIRATION_DATE= 2022-06-30
+
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}django22>=1.4:www/py-django22@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}six>=1.10.0:devel/py-six@${PY_FLAVOR}